Bug 48843 - update shells/rc
Summary: update shells/rc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-03-02 17:10 UTC by saken
Modified: 2003-03-30 05:43 UTC (History)
0 users

See Also:


Attachments
file.diff (564 bytes, patch)
2003-03-02 17:10 UTC, saken
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description saken 2003-03-02 17:10:00 UTC
	update shells/rc to version 1.7

How-To-Repeat: 	n/a
Comment 1 Serge Gagnon 2003-03-13 08:18:43 UTC
This is my second attempt to post this followup. The first one was posted 
at 03/11/2003 05:42 -0500 but it doesn't seems to reach freebsd-gnats.

Life is better with readline.

    - remove files/patch-aa
    - remove files

Remove this file because the "-static" flags is now conditional
and to keep this ports more centralized in the Makefile file.

Do not use this patch after the one above. Use the previous or this one.

--------------------patch begin here-----------
diff -urN /usr/ports/shells/rc/Makefile ./Makefile
--- /usr/ports/shells/rc/Makefile    Fri Feb 21 08:26:58 2003
+++ ./Makefile    Mon Mar 10 22:07:00 2003
@@ -6,7 +6,7 @@
 #

 PORTNAME=    rc
-PORTVERSION=    1.6
+PORTVERSION=    1.7
 CATEGORIES=    shells plan9
 MASTER_SITES=    http://www.star.le.ac.uk/~tjg/rc/release/ \
         ftp://ftp.sys.utoronto.ca/pub/rc/
@@ -16,6 +16,14 @@

 GNU_CONFIGURE=    yes
 CONFIGURE_ARGS=    --with-history
+
+.if defined(WITH_READLINE)
+CONFIGURE_ARGS+=    --with-readline
+.endif
+.if !defined(WITH_READLINE)
+MAKE_ARGS+=    CFLAGS="$(CFLAGS) -static"
+.endif
+
 MAN1=        history.1 rc.1

 .include <bsd.port.mk>
diff -urN /usr/ports/shells/rc/distinfo ./distinfo
--- /usr/ports/shells/rc/distinfo    Fri Jun 25 17:42:43 1999
+++ ./distinfo    Mon Mar 10 21:33:45 2003
@@ -1 +1 @@
-MD5 (rc-1.6.tar.gz) = 3b56f0e47e8496ea0363ebc202bcac23
+MD5 (rc-1.7.tar.gz) = 657bb1c1a9aad8c46218185414539293
-------------------patch end here----------------------

-- 
Serge Gagnon
Quebec, Qc, Canada
Comment 2 Edwin Groothuis freebsd_committer 2003-03-30 05:43:21 UTC
State Changed
From-To: open->closed

Commited, thanks!